CERTCREATE(1)

NAME
certcreate - generate self-signed X.509 certificates

SYNOPSIS
certcreate [-q] [-C COUNTRY] [-s STATE] [-c CITY] [-o ORGANIZATION] [-u UNIT] [-h HOSTNAME] [-e EMAIL] [-f FILENAME] [-S SERIAL]

DESCRIPTION
certcreate generates an X.509 certificate with a subject determined according to the parameters supplied. The generated certificate will be self-signed.

OPTIONS

-q, --quiet

-C, --country=
    [default: US]

-s, --state=
    [default: New York]

-c, --city=
    [default: New York]

-o, --organization=
    [default: Divmod LLC]

-u, --unit=
    [default: Security]

-h, --hostname=
    [default: divmod.com]

-e, --email=
    [default: support@divmod.org]

-f, --filename=
    Name of the file to which to write the PEM. [default: server.pem]

-S, --serial-number=
    [default: 1]

--version
    Display Twisted version and exit.

--help
    Display this help and exit.